Subject: RE: setup.exe
From: "Dennis McCunney" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 10 Aug 2001 12:35:59 -0400

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Charles Wilson
> Sent: Friday, August 10, 2001 1:31 AM
> To: Roger Dahl
> Cc: [email-masked]
> Subject: Re: setup.exe
>
> Roger Dahl wrote:
>
> > Why not call the cygwin setup file cygwin.exe instead of
> > setup.exe. It gets confusing with lots of "setup.exe"-s around :)
>
> We already have three different meanings for "cygwin":
>
> 1. the DLL "cygwin1.dll" itself
> 2. the setup.exe-installed package called (currently)
>    cygwin-1.3.2-1.tar.gz
> 3. the entire platform/distribution
>
> You want to add a fourth meaning?  To "prevent"
> confusion??!!!  I don't think so.

Since half of the installation programs in the world seem to call themselves
"setup.exe", I _would_ favor calling Cygwin's setup "cygsetup.exe", just to
make it clear what it was the setup program for.  I routinely do that rename
on the incoming file when I grab an updated version of setup to avoid
confusion.  (I DL everything to a standard download directory, and it isn't
unusual for me to download more than one file called "setup.exe" in a web
surfing session.)

I _wouldn't_ favor calling it "cygwin.exe" for the reasons you mention.

> --Chuck
______
Dennis

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/